Subject: MIME types for inbound / outbound

From: "Blake Ramsdell" <[email-masked]>
Date: Sun, 17 Jan 1999 10:23:33 -0800

The MIME type for application/pkcs7-mime was registered in RFC2311 (March of
1998).  All applications should at the very least be prepared to parse this
as equivalent to application/x-pkcs7-mime, if not emitting it as well.

Our products don't emit it, but we can parse both.  I'm fixing it.  Everyone
else, please do the same (emit application/pkcs7-mime and recognize both
versions).  Part of the reason that I emitted the x- variant was because
other applications couldn't read the non-x- variant.  I suspect that this
should stop on the anniversary of the registration of the MIME type.

Applications may also wish to put in a way to force the outgoing MIME type
to be the x- variant as a configuration option, just in case.

Flames / comments welcome.

Blake